using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a squid corpse" )]
	public class GiantSquid : BaseCreature
	{
		[Constructable]
		public GiantSquid() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a giant squid";
			Body = 144;
			BaseSoundID = 353;
			Hue = 1084;

			SetStr( 556, 580 );
			SetDex( 126, 145 );
			SetInt( 26, 40 );

			SetHits( 354, 368 );
			SetMana( 0 );

			SetDamage( 10, 20 );

			SetSkill( SkillName.MagicResist, 15.1, 20.0 );
			SetSkill( SkillName.Tactics, 45.1, 60.0 );
			SetSkill( SkillName.HandToHand, 45.1, 60.0 );

			Fame = 9000;
			Karma = -9000;

			VirtualArmor = 30;

			CanSwim = true;
			CantWalk = true;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Rich );
		}

		public override bool BleedImmune{ get{ return true; } }
		public override int Hides{ get{ return 10; } }
		public override int Meat{ get{ return 28; } }
		public override MeatType MeatType{ get{ return MeatType.Fish; } }

		public GiantSquid( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
